Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Payroll
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get List Employees
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Information
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
      POST
    • Get Loan
      GET
    • Get Cost Center
      POST
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
  • Welfare
    • Get Shuttle Buses
      GET
    • Get Passengers
      GET
  • Goals
    • Update KPI
      POST
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  1. Payroll

Get Loan

GET
https://api.gofive.co.th/empeo/api/v1.0/Payroll/Loan

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Body Params application/json

Example

{
      "CompanyName": "โกไฟว์",
      "EmployeeRefId": "DR1STM2"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.gofive.co.th/empeo/api/v1.0/Payroll/Loan?CompanyName=Gofive&EmployeeRefId=DR1STM2' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
      "CompanyName": "โกไฟว์",
      "EmployeeRefId": "DR1STM2"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 200,
    "message": "OK",
    "totals": 1,
    "data": [
        {
            "employeeRefId": "99999",
            "firstName": "เอบีซี",
            "lastName": "ดีอีเอฟ",
            "firstNameEN": "ABC",
            "lastNameEN": "DEF",
            "nickName": "จี",
            "nickNameEN": "G",
            "companyName": "Gofive",
            "financialItemName": "กู้ซื้อบ้าน",
            "documentNo": "INV0000001",
            "dateOfPayment": "2023-07-31",
            "amount": 10000,
            "totalPeriod": 12,
            "lastPaymentPeriod": 1000,
            "paymentPaidAmount": 6000,
            "remainAmount": 6000,
            "status": 2,
            "remark": "กู้ธนาคารกับบริษัท แบ่งจ่าย 12 งวด",
            "interestType": 0,
            "interestRatePerYear": 0
        }
    ]
}
Modified at 2026-04-28 10:37:58
Previous
Create Loan
Next
Get Cost Center
Built with